<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Добавить файл';
$str['block'] = $set['site'].' /Зона Обмена';
include '../style/'.$style.'/head.php';
echo '<div class="where">Добавить файл</div>';
switch ($act) {
	case 'ok':
		$opis = protect($_POST['opis']);
		$usel_id = int($_POST['usel']);
		
		if(isset($_POST['title']) and !empty($_POST['title']) and !empty($_FILES['files']) and !empty($opis)) {
	
			$flood = mysql_fetch_assoc(mysql_query("select `time` from `files_files` where `id_user` = '".$user['login']."' order by `time` desc limit 1"));
			if($flood['time']<(time()-30)){
		
				$dir = '../files/files/'; //Папка в которую загружаем файл
	
				$file = translit(strtolower(protect(basename($_FILES['files']['name']))));
		
				// Возможные форматы (mod by Defast icq: 5296836)
				$usel = mysql_fetch_assoc(mysql_query("SELECT * FROM `files_usel` WHERE `id` = '" . $usel_id . "'"));
				
				$f = explode(",", $usel['format']);
				$count_f = sizeof($f);
				$array = array();
				
				for($i = 0; $i < $count_f; $i++) {
					$array[] = $f[$i];
				}
				
				
				$rand = rand(111111, 999999);
				$ex=pathinfo($_FILES['files']['name']);
				$type=mb_strtolower($ex['extension']);
		
				if (!in_array(pathinfo($file, PATHINFO_EXTENSION), $array)) {
					echo '<div class="forum1">Не верный формат файла!</div>';
					break;
				} 
				
				if (move_uploaded_file($_FILES['files']['tmp_name'], $dir.$rand.'_'.$file)) {
					$usel = mysql_fetch_assoc(mysql_query("select * from `files_usel` where `id` = ".$usel_id.""));
					$sel = mysql_fetch_assoc(mysql_query("select * from `files_sel` where `id` = ".int($usel['id_sel']).""));
					mysql_query ("INSERT INTO `files_files` (user,id_sel,id_usel,opis,ext,time,url,title,size) VALUES ('".$user['login']."','".$sel['id']."','".$usel['id']."','".$opis."','".$type."','".time()."','".$rand.'_'.$file."','".protect($_POST['title']).".".$type."','".size(filesize('files/'.$rand.'_'.$file))."')");
					$ins_id = mysql_insert_id();
					mysql_query("update `users` set `balls`=`balls`+1 where `id` = ".$user['id']."");
					echo '<div class="forum1">Файл '.$file.' успешно загружен!<br />
					<a href="index.php?act=view&amp;id='.$ins_id.'">Перейти >></a></div>';
				} else {
					echo '<div class="forum1">Ошибка при загрузке файла!</div>';
					break;
				}
			
			
			} else {
				echo '<div class="where">&raquo; Антифлуд 30 секунд!</div>
				<div class="on2"><img class="ico" src="../style/'.$style.'/ico/lib.gif" alt="" /> <a href="index.php">Зона Обмена</a></div>';
				break;
			}
		} else {
			echo '<b>Не все запонено!</b><br /><a href="add.php">Назад</a>';
			break;
		}
	break;
	
	case 'add':
		if (!$_POST['usel'])
			header("Location: add.php");
			
		$num = mysql_num_rows(mysql_query("SELECT * FROM `files_usel` WHERE `id` = '" . int($_POST['usel']) . "'"));
		if ($num == 0) {
			echo 'Такого подраздела нет!<br /><a href="add.php">Назад</a>';
			break;
		}
		
		$usel_id = int($_POST['usel']);
		
		$select = mysql_fetch_assoc(mysql_query("select * from `files_usel` where `id` = ".$usel_id.""));
		echo '<div class="on">Добавление файла в <b>'.$select['title'].'</b><br/>
		Допустимые расширения: <span style="color:red">' . $select['format'] . '</span>
		</div>
		<div class="mess"><form action="add.php?act=ok" method="post" enctype="multipart/form-data">
		<div>
		<input name="usel" type="hidden" value="' . $usel_id . '" />
		Выберите файл для загрузки:<br />
		<input name="files" type="file" /><br />
		Название файла на сайте:<br/>
		<input name="title" type="text" maxlenght="32" /><br/>
		Описание:<br/><textarea name="opis"></textarea><br/>
		<input name="usel" type="hidden" value="'.$select['id'].'"/>
		<input type="submit" value="Загрузить"/></div></form></div>
		<div class="on2">
		<img class="ico" src="../style/'.$style.'/ico/lib.gif" alt="" />  <a href="index.php?act=usel&amp;id='.$select['id'].'">'.$select['title'].'</a></div>';
	break;
	
	case 'kat':
		if (!$_POST['sel'])
			header("Location: add.php");
			
		$num = mysql_num_rows(mysql_query("SELECT * FROM `files_sel` WHERE `id` = '" . int($_POST['sel']) . "'"));
		if ($num == 0) {
			echo 'Такого раздела нет!<br /><a href="add.php">Назад</a>';
			break;
		}
		
		$query = mysql_query("select * from `files_usel`");
		if(!mysql_num_rows($query)) {
			echo '<div class="forum1">Категории еще не созданы!</div>';
			break;
		}
		
		$q = mysql_query("select * from `files_usel` where `id_sel` = ".int($_POST['sel'])."");
		echo '<div class="mess"><form action="add.php?act=add" method="post">
		<div>
		Выберите подраздел:<br/>
		<select size="1" name="usel">';
		while($row = mysql_fetch_assoc($q))
		{
			echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
		}
		echo'</select><br/>
		<input type="submit" value="Выбрать"/>
		</div></form></div>';
	break;
default :	
	$query = mysql_query("SELECT * FROM `files_sel`");
	echo '<div class="mess"><form action="add.php?act=kat" method="post">
	<div>
	Выберите раздел:<br/>
	<select size="1" name="sel">';
	while($row = mysql_fetch_assoc($query))
	{
		echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
	}
	echo'</select><br/>
	<input type="submit" value="Выбрать"/>
	</div></form></div>';
	
}

echo '<div class="on2"><img class="ico" src="../style/'.$style.'/ico/load.gif" alt="" /> <a href="index.php">Обменник</a></div>';
include '../style/'.$style.'/foot.php';
?>